# png::info Class Reference

Holds information about PNG image. Adapter class for IO image operations. More...

`#include <info.hpp>`

Inheritance diagram for png::info:

List of all members.

## Public Member Functions

| info (io_base &io, png_struct *png)
void | read ()
void | write () const
void | update ()

## Protected Member Functions

void | sync_ihdr (void) const

## Detailed Description

Holds information about PNG image. Adapter class for IO image operations.

## Constructor & Destructor Documentation

png::info::info | ( | io_base & | io,
|  | png_struct * | png
| ) |  | `[inline]`

## Member Function Documentation

void png::info::read | ( | ) | `[inline]`

References png::chunk_PLTE, png::chunk_tRNS, png::color_type_palette, png::image_info::m_bit_depth, png::image_info::m_color_type, png::image_info::m_compression_type, png::image_info::m_filter_type, png::image_info::m_height, png::info_base::m_info, png::image_info::m_interlace_type, png::image_info::m_palette, png::info_base::m_png, png::image_info::m_tRNS, and png::image_info::m_width.

Referenced by png::reader< istream >::read_info().

void png::info::write | ( | ) | const`[inline]`

References png::color_type_palette, png::image_info::m_color_type, png::info_base::m_info, png::image_info::m_palette, png::info_base::m_png, png::image_info::m_tRNS, and sync_ihdr().

Referenced by png::writer< ostream >::write_info().

void png::info::update | ( | ) | `[inline]`

References png::info_base::m_info, png::info_base::m_png, and sync_ihdr().

Referenced by png::reader< istream >::update_info().

void png::info::sync_ihdr | ( | void | ) | const`[inline, protected]`

References png::image_info::m_bit_depth, png::image_info::m_color_type, png::image_info::m_compression_type, png::image_info::m_filter_type, png::image_info::m_height, png::info_base::m_info, png::image_info::m_interlace_type, png::info_base::m_png, and png::image_info::m_width.

Referenced by update(), and write().

The documentation for this class was generated from the following file:

- info.hpp